const { defineConfig } = require('cypress');

module.exports = defineConfig({
    e2e: {
        baseUrl: 'http://localhost:8080/',
        supportFile: 'src/test/cypress/support/index.js',
        fixturesFolder: 'src/test/cypress/fixtures',
        specPattern: 'src/test/cypress/integration/**/*.spec.js',
        viewportHeight: 660,
        viewportWidth: 1240,
        experimentalMemoryManagement: true,
        numTestsKeptInMemory: 0,
        video: false,
        screenshotOnRunFailure: false,
        setupNodeEvents(on, config) {
            on('after:spec', (spec, results) => {
                console.log('Finished running', spec.relative);
            });
        }
    }
});
